MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027054Community[OCCT] OCCT:Configurationpublic2016-01-01 18:412016-04-20 15:50
Reporterabv 
Assigned Toabv 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027054: Upgrade procedure corrupts files with DOS line endings
DescriptionThe problem is reported at OCCT dev forum at
http://dev.opencascade.org/index.php?q=node/1140#comment-693 [^]

When upgrade procedure processes file with DOS end-of lines (CR LF), it produces corrupted file with duplicate CRs (CR CR LF)
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0049689)
git (administrator)
2016-01-01 18:45

Branch CR27054 has been created by abv.

SHA-1: 155408bf590f7408d898b67f3d78049605007ff7


Detailed log of new commits:

Author: abv
Date: Fri Jan 1 18:43:02 2016 +0300

    0027054: Upgrade procedure corrupts files with DOS line endings
    
    Treatment of files in DOS encoding corrected to avoid duplication of CR symbols
(0049690)
abv (manager)
2016-01-01 18:49

Fix pushed to CR27054, please integrate
(0052967)
git (administrator)
2016-04-17 13:46

Branch CR27054 has been deleted by kgv.

SHA-1: 155408bf590f7408d898b67f3d78049605007ff7

- Related Changesets
occt: master 155408bf
Timestamp: 2016-01-01 15:43:02
Author: abv
Committer: abv
Details ] Diff ]
0027054: Upgrade procedure corrupts files with DOS line endings

Treatment of files in DOS encoding corrected to avoid duplication of CR symbols
mod - adm/upgrade.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-01 18:41 abv New Issue
2016-01-01 18:41 abv Assigned To => bugmaster
2016-01-01 18:42 abv Summary Upgrade procedure corupts files with DOS line endings => Upgrade procedure corrupts files with DOS line endings
2016-01-01 18:45 git Note Added: 0049689
2016-01-01 18:49 abv Note Added: 0049690
2016-01-01 18:49 abv Status new => resolved
2016-01-01 18:49 abv Steps to Reproduce Updated View Revisions
2016-01-15 16:57 abv Changeset attached => occt master 155408bf
2016-01-15 16:57 abv Assigned To bugmaster => abv
2016-01-15 16:57 abv Status resolved => verified
2016-01-15 16:57 abv Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052967
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker